Prepare the TOTP

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /auth/totp

Get the provisioning URI and the secret for the authenticator app. Use them to enable the time-based one-time password (TOTP).

Responses

  • 200 application/json

    The provisioning URI and the secret

    Hide response attributes Show response attributes object
    • totp_provisionning_uri string
    • otp_secret string
  • 400

    The TOTP is already enabled

  • 403

    The token belongs to a bot

PUT /auth/totp
curl -X PUT "http://api.example.com/auth/totp" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/auth/totp"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "totp_provisionning_uri": "string",
  "otp_secret": "string"
}